Jump to content
fcatala

Java no funciona

Recommended Posts

Hola,

 

No sé porqué razón, Java ha dejado de funcionar cuando lo hacía hasta hace bien poco. He actualizado software y me indica que está actualizado.

 

Navegador: Safari Versión 5.0.6 (5533.22.3)

MacBook, OS X 10.5.8

 

Estan activadas las opciones Permitir Java y Permitir Javascript.

 

En el panel de Preferencias de Java estan activadas las versiones Java SE 6 (64 bits), J2SE 5.0 (32 y 64 bits).

 

He probado con Google Chrome (aparece el mensaje: "No se ha podido cargar el complemento Java Plug-in 2 for NPAPI Browser") y en Firefox no aparece el mensaje de error pero no se ejecuta la aplicación)

 

Muchas gracias de antemano.

 

Xavi

Share this post


Link to post
Share on other sites

En el panel de Preferencias de Java estan activadas las versiones Java SE 6 (64 bits), J2SE 5.0 (32 y 64 bits).

 

¿Y tienes marcada la casilla "Activar módulo de applet y aplicaciones Web Start"? Si no, hazlo.

 

Un saludo

Share this post


Link to post
Share on other sites

Bienvenid@ al foro

 

Hola,

 

No sé porqué razón, Java ha dejado de funcionar cuando lo hacía hasta hace bien poco. He actualizado software y me indica que está actualizado.

 

Navegador: Safari Versión 5.0.6 (5533.22.3)

MacBook, OS X 10.5.8

 

Estan activadas las opciones Permitir Java y Permitir Javascript.

 

En el panel de Preferencias de Java estan activadas las versiones Java SE 6 (64 bits), J2SE 5.0 (32 y 64 bits).

 

He probado con Google Chrome (aparece el mensaje: "No se ha podido cargar el complemento Java Plug-in 2 for NPAPI Browser") y en Firefox no aparece el mensaje de error pero no se ejecuta la aplicación)

 

Muchas gracias de antemano.

 

Xavi

 

Prueba a desinstalar Java, hacer mantenimiento y volverlo a instalar

 

Se me ha adelantado Dave :blush:

 

Haz lo que dice y sino prueba lo que he escrito

Share this post


Link to post
Share on other sites

Antes que nada, gracias por la rapidez y el interés.

 

He probado todo lo que me habeis propuesto.

 

Respecto a lo de activar módulo de applet y aplicaciones webstart, no puedo hacerlo porque no aparece dicha casilla de activación.

 

Pasando a la siguiente propuesta de desinstalación, mantenimiento y reinstalación: "creo" que he desinstalado Java con una serie de comandos que he ejecutado en la terminal, dado que las instrucciones que dan en la página de Java son para la versión 7, que no es la que había. Si sabeis de una forma "facil" y certera de hacerlo, seré todo oidos.

 

Para acabar, no es fácil reinstalar el Java. La página de oracle solo me da la opción de "actualizar software" (que no encuentra ninguna actualización), y buscando instaladores por páginas diversas solo encuentro updates, con lo que no estoy seguro de que sean la correcta.

 

He reinstalado el safari desde el dvd original del Mac... y tampoco.

 

Perdonad por la chapa y la ineptitud y gracias de nuevo

Xavi

 

 

Share this post


Link to post
Share on other sites
Para acabar, no es fácil reinstalar el Java. La página de oracle solo me da la opción de "actualizar software" (que no encuentra ninguna actualización), y buscando instaladores por páginas diversas solo encuentro updates, con lo que no estoy seguro de que sean la correcta.

 

Instálate el paquete JDK de la Java SE 7u7 desde aquí, y luego abre las preferencias de Java (Aplicaciones => Utilidades => Preferencias de Java) para arrastrar Java 7 al primer lugar de la lista, para asegurarte de que sea la opción por defecto para todas las aplicaciones compatibles; no desactives ni elimines el Java 6 porque lo necesitarás presente en el Sistema para las aplicaciones incompatibles con el 7.

 

Si después te quedan dudas, el tema se está tratando en detalle en este otro hilo.

 

Edito porque acabo de ver que indicas que tú funcionas con Mac OS 10.5.8 y el Java 7 precisa de Mac OS 10.7.3 o superior; mira a ver si encontraras información que te sea de utilidad en este FAQ de soporte de Java para Mac en español.

Edited by Roy Batty

Share this post


Link to post
Share on other sites

Quizás sea el menos adecuado para decirlo, pero a no ser que tengas Lion o Mountain Lion mandar a alguien con un Mac a la página de Oracle es un suicidio, porque lo único que va a conseguir es marear la perdiz. Java es un programa que ha desarrollado Apple desde el principio en sus máquinas.

 

Si tienes Mac OS 10.5.8, en su versión con procesador intel, debes de tener instalado Java SE 6 (64 bits) y J2SE 5.0 (32 y 64 bits). Si lo has desintalado, accede a la carpeta Utilidades -> Preferencias de Java. Si no tienes nada instalado, en teoría, debería de salirte una ventana para actualizar. En caso que no, entra en este enlace y baja las tres primeras actualizaciones que aparecen, es Java para Mac OS Leopard.

 

Y recuerda que hay un hilo específico en actualidad donde estuvimos, no hace mucho, hablando de los problemas de Java y los macs.

 

Un saludo, y ya nos cuentas.

Share this post


Link to post
Share on other sites

Finalmente lo he conseguido hacer funcionar instalando la actualización (java 10.5 update 10) que me sugería Pau (moltes gràcies!!). En efecto, la página de Oracle para Leopard es un mar proceloso inescrutable y complicado...

 

imagino que va siendo hora de actualizar el OSX al Mountain Lion, o al River Jordan o al Montañica Gato.. joer, que nombrecitos!!

 

Gracias sinceras a todos por las aportaciones Macarras... digo Maqueras.

 

Xavi

Share this post


Link to post
Share on other sites

Finalmente lo he conseguido hacer funcionar instalando la actualización (java 10.5 update 10) que me sugería Pau (moltes gràcies!!). En efecto, la página de Oracle para Leopard es un mar proceloso inescrutable y complicado...

 

imagino que va siendo hora de actualizar el OSX al Mountain Lion, o al River Jordan o al Montañica Gato.. joer, que nombrecitos!!

 

Gracias sinceras a todos por las aportaciones Macarras... digo Maqueras.

 

Xavi

Estupendo!

 

Dudo que Apple "elimine" de sus servidores las actualizaciones, pero ten una copia por lo que pueda pasar; y ten en cuentra que la sugerencia de actualización es eso, una sugerencia.

 

Un saludo.

Share this post


Link to post
Share on other sites

Hola, el caso es que tengo problemas con el java para jugar en ciertas páginas de juegos online. Cuando intento acceder me sale este error: Para poder jugar es preciso que el navegador esté habilitado para ejecutar applets Java. El plugin java 2 for NPAPI Browsers ha fallado. Según tengo entendido, apple ha desactivado algo de java por seguridad, pero no sé cómo activarlo.

 

Me pasa con el safari, el firefox, el chrome, con todos. Alguien sabe cómo puedo arreglarlo? he buscado soluciones por internet pero no encuentro nada para solucionarlo. Tengo un os x 10.6.8.

Share this post


Link to post
Share on other sites

Gracias por la posible solución, pero ese no es el error. Todo lo referente fallos normales lo tengo activado. El caso es activar el applets java que Apple ha desactivado por seguridad.

Share this post


Link to post
Share on other sites

Prueba a correr estos comandos en Terminal:

Copiamos por seguridad un archivo en el escritorio:

cp /System/Library/CoreServices/CoreTypes.bundle/Contents/Resources/XProtect.meta.plist ~/Desktop

Modificamos el archivo original:

sudo /usr/libexec/PlistBuddy -c "Delete :JavaWebComponentVersionMinimum" /System/Library/CoreServices/CoreTypes.bundle/Contents/Resources/XProtect.meta.plist

Te pedirá la contraseña de administrador

Si no te funciona, devuelve el archivo a su sitio con

sudo mv ~/Desktop/XProtect.meta.plist /System/Library/CoreServices/CoreTypes.bundle/Contents/Resources

Después, haya funcionado o no, puedes tirar el archivo del escritorio a la papelera.

Share this post


Link to post
Share on other sites

Toqueteando e intentando activar los applet, he entrado en la web de juegos y ha salido el símbolo de Java cargando (como cuando funciona bien) pero se ha parado y ha saltado un error, pero no puedo ponerlo porque el foro me prohíbe poner enlaces.

Share this post


Link to post
Share on other sites

Hola, podría retomar el tema? En mi caso tengo la 10.6.8 con java 1.6.0_65 y llevo meses sin encontrar la manera de hacer funcionar el applet java que Apple ha deshabilitado en mac. He seguido incluso sus recomendaciones en soporte, pero nada de nada, desinstalo, reinstalo, instalo......he hecho mil cosas y no tengo manera de accecer a ciertas páginas online de juego, me podriais ayudar?

Share this post


Link to post
Share on other sites

He unido a éste el tema en que habías iniciado la consulta. No tiene sentido duplicarlo.

 

Deberías especificar las páginas a las que no puedes acceder. Quizás la versión de Java disponible para Snow Leopard no sea compatible con ellas :huh:

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.